<?php

namespace App\Classes\Modules\KeyValuePairs\Standards\Rules;


use App\Classes\General\Abstracts\AbstractRule;
use App\Classes\ValueObjects\Constants\RoleTypes;
use Illuminate\Support\Facades\Auth;

class CanListAiPrompts extends AbstractRule
{

    /**
     * @return bool
     */
    protected function authorized($object): bool
    {
        if (in_array(Auth::user()->type, RoleTypes::ADMIN_ROLES)) {
            return true;
        }
        return false;
    }

    /**
     * @param $object
     * @return bool
     */
    protected function validators($object): bool
    {
        return true;
    }

    /**
     * @param $object
     * @return bool
     */
    protected function criteria($object): bool
    {
        return true;
    }
}
